From: jon@ringle.org
To: ptxdist@pengutronix.de
Cc: Jon Ringle <jringle@gridpoint.com>
Subject: [ptxdist] [PATCHv3] ptxdist getdev: Download dev packages from ${PTXCONF_PROJECT_DEVMIRROR}
Date: Fri, 24 Jan 2014 11:53:03 -0500 [thread overview]
Message-ID: <1390582385-6652-1-git-send-email-jon@ringle.org> (raw)
From: Jon Ringle <jringle@gridpoint.com>
This patch allows you to setup a dev package mirror to hold *-dev.tar.gz
packages.
Upload your *-dev.tar.gz packages to your mirror, then you can avoid
rebuilding all your packages by doing:
ptxdist getdev
Signed-off-by: Jon Ringle <jringle@gridpoint.com>
---
bin/ptxdist | 5 +++++
rules/post/ptxd_make_world_get.make | 7 +++++++
rules/project-name.in | 9 +++++++++
scripts/lib/ptxd_lib_dgen.awk | 7 +++++++
scripts/lib/ptxd_make_get.sh | 15 ++++++++-------
5 files changed, 36 insertions(+), 7 deletions(-)
diff --git a/bin/ptxdist b/bin/ptxdist
index f9cbdec..663c41e 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1789,6 +1789,11 @@ EOF
fi
exit
;;
+ getdev)
+ check_premake &&
+ ptxd_make_log getdev
+ exit
+ ;;
go|images)
do_${cmd}
exit
diff --git a/rules/post/ptxd_make_world_get.make b/rules/post/ptxd_make_world_get.make
index 152674c..edbdde9 100644
--- a/rules/post/ptxd_make_world_get.make
+++ b/rules/post/ptxd_make_world_get.make
@@ -26,6 +26,9 @@ $(SRCDIR)/%:
@$(call targetinfo)
@$(call get, $($@))
+$(call remove_quotes, $(PTXCONF_PROJECT_DEVPKGDIR))/%:
+ @$(call targetinfo)
+ @$(call getdev, $@)
$(STATEDIR)/%.get:
@$(call targetinfo)
@@ -59,4 +62,8 @@ get = \
check_src = \
ptxd_make_check_src "$($(strip $(1))_SOURCE)" "$($(strip $(1))_MD5)"
+getdev = \
+ ptxd_make_get_nofail=y \
+ ptxd_make_get "$(strip $(1))" "$(call remove_quotes, $(PTXCONF_PROJECT_DEVMIRROR))/$(notdir $(1))"
+
# vim: syntax=make
diff --git a/rules/project-name.in b/rules/project-name.in
index f546458..d1cd09a 100644
--- a/rules/project-name.in
+++ b/rules/project-name.in
@@ -180,4 +180,13 @@ config PROJECT_DEVPKGDIR
depends on PROJECT_USE_DEVPKGS
default "/opt/OSELAS.BSP/${PTXCONF_PROJECT_VENDOR}/OSELAS.BSP-${PTXCONF_PROJECT_VENDOR}-${PTXCONF_PROJECT}${PTXCONF_PROJECT_VERSION}"
+config PROJECT_DEVMIRROR
+ string
+ prompt "Mirror for pre-build archives"
+ depends on PROJECT_USE_DEVPKGS
+ help
+ Enter a URL where *-dev.tar.gz packages can be downloaded
+ Use: ptxdist getdev
+
+
endmenu
diff --git a/scripts/lib/ptxd_lib_dgen.awk b/scripts/lib/ptxd_lib_dgen.awk
index 7f790c9..6cd60e2 100644
--- a/scripts/lib/ptxd_lib_dgen.awk
+++ b/scripts/lib/ptxd_lib_dgen.awk
@@ -241,6 +241,13 @@ function write_deps_pkg_all(this_PKG, this_pkg) {
# .get rule
#
print "$(STATEDIR)/" this_pkg ".get: $(" this_PKG "_SOURCES)" > DGEN_DEPS_POST;
+ print "ifneq ($(call remove_quotes, $(PTXCONF_PROJECT_DEVMIRROR)),)" > DGEN_DEPS_POST;
+ print "ifneq ($($(" this_PKG "_DEVPKG)),NO)" > DGEN_DEPS_POST;
+ print "ifneq ($(" this_PKG "_CFGHASH),)" > DGEN_DEPS_POST;
+ print "getdev: $(call remove_quotes, $(PTXCONF_PROJECT_DEVPKGDIR))/$(" this_PKG "_DEVPKG)" > DGEN_DEPS_POST;
+ print "endif" > DGEN_DEPS_POST;
+ print "endif" > DGEN_DEPS_POST;
+ print "endif" > DGEN_DEPS_POST;
}
function write_deps_pkg_active(this_PKG, this_pkg, prefix) {
diff --git a/scripts/lib/ptxd_make_get.sh b/scripts/lib/ptxd_make_get.sh
index f4d7922..1ce913f 100644
--- a/scripts/lib/ptxd_make_get.sh
+++ b/scripts/lib/ptxd_make_get.sh
@@ -285,7 +285,7 @@ ptxd_make_get() {
argv[${#argv[@]}]="${url}"
mrd=true
;;
- ${PTXCONF_SETUP_PTXMIRROR}/*)
+ ${PTXCONF_SETUP_PTXMIRROR}/*|${PTXCONF_PROJECT_DEVMIRROR}/*)
# if mirror is given us to download, add it, but only once
if ! ${mrd}; then
argv[${#argv[@]}]="${url}"
@@ -397,11 +397,12 @@ ptxd_make_get() {
esac
done
- echo
- echo "Could not download package"
- echo "URL: ${orig_argv[@]}"
- echo
- exit 1
+ if [ "${ptxd_make_get_nofail}" != "y" ]; then
+ echo
+ echo "Could not download package"
+ echo "URL: ${orig_argv[@]}"
+ echo
+ exit 1
+ fi
}
-
export -f ptxd_make_get
--
1.7.10.4
--
ptxdist mailing list
ptxdist@pengutronix.de
next reply other threads:[~2014-01-24 16:53 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-01-24 16:53 jon [this message]
2014-01-24 16:53 ` [ptxdist] [PATCHv3] pv: version bump 1.1.4 -> 1.4.12 jon
2014-01-24 17:17 ` Michael Olbrich
2014-01-24 17:16 ` [ptxdist] [PATCHv3] ptxdist getdev: Download dev packages from ${PTXCONF_PROJECT_DEVMIRROR} Michael Olbrich
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1390582385-6652-1-git-send-email-jon@ringle.org \
--to=jon@ringle.org \
--cc=jringle@gridpoint.com \
--cc=ptxdist@pengutronix.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox